librelist archives

« back to archive

shoes3 ubuntu rake error

shoes3 ubuntu rake error

From:
J. Kaiden
Date:
2011-05-03 @ 10:46
hi folks,

looked over the archive and haven't seen anything that answers this,
sorry if i've missed it.

i've run into a problem installing shoes3 on ubuntu 10.04 lucid.
following the instructions
here:https://github.com/shoes/shoes/wiki/Building-Shoes-on-Linux

 i get this error running 'rake':

rake aborted!
no such file to load -- mechanize
/xxx/xxx/shoes/Rakefile:291:in `<top (required)>'


  i installed the 'mechanize' gem, and tried again, but i still get
the same error.

  any ideas?

  thanks,

  - j

Re: shoes3 ubuntu rake error

From:
J. Kaiden
Date:
2011-05-03 @ 12:07
problem solved -
  realized i was trying to do this under ruby 1.8.7, works fine with
1.9.1-p378.

  sorry for the noise...

  -j

On Tue, May 3, 2011 at 12:46 PM, J. Kaiden <jakekaiden@gmail.com> wrote:

Re: shoes3 ubuntu rake error

From:
J. Kaiden
Date:
2011-05-03 @ 12:22
solved -

  i'm a dummy - realized i was trying this under ruby 1.8.7.  with 1.9.1 it
works just fine.

  sorry for the noise,

  -j

Re: [shoes] Re: shoes3 ubuntu rake error

From:
Steve Klabnik
Date:
2011-05-03 @ 13:13
No worries! Glad it's working.

shoes3 ubuntu rake error

From:
J. Kaiden
Date:
2011-05-03 @ 11:03
hi folks,

looked over the archive and haven't seen anything that answers this,
sorry if i've missed it.

i've run into a problem installing shoes3 on ubuntu 10.04 lucid.
following the instructions
here:https://github.com/shoes/shoes/wiki/Building-Shoes-on-Linux

 i get this error running 'rake':

rake aborted!
no such file to load -- mechanize
/xxx/xxx/shoes/Rakefile:291:in `<top (required)>'


  i installed the 'mechanize' gem, and tried again, but i still get
the same error.

  any ideas?

  thanks,

  - j